Skip to Content
author's profile photo Former Member
Former Member

Your JVM Vendor is not supported

When I launch the SAP Netweaver developer studio 7.3 application I received an error message that (Your running developer studio with an unsupported JVM. Click Details for more information.Press OK to locate a support JVM) I did lot of research and tried to implement few solutions but still it didn't work so, I uninstalled all the java files and re-installed but then still it doesn't work. Most of the solutions were to install JDK 1.6.0_26 but its been outdated and the exe file is not found anywhere. Hence, I thought to check with the community members if there is any direct solution/answer . Note - I have searched for the solution in this community as well but I didn't find the right solution for my issue. I have also attached screen shot for your reference. Kindly do let me know if you need any additional information. Please Help

Message was edited by: VINAY

javaerror_vinay.jpg (316.3 kB)
Add a comment
10|10000 characters needed characters exceeded

Assigned Tags

Related questions

2 Answers

  • author's profile photo Former Member
    Former Member
    Posted on Nov 13, 2015 at 05:27 AM

    Hi Vinaya,

    I also come to this warning. I did a little research, and found solution that worked for me by solving source of problem, without need of trying different JDK versions ( shall only be greater than version 1.6.0_07) .


    Problem is in older code of initial JVM check, where are specified allowed vendors. Oracle is not included in configuration, so warning is shown. Module is located in plugins folder.


    You need to modify config.xml file of com.sap.ide.jvm.check_1.0.0.150904080559.jar residing inside <NWDS Installation Directory>/Eclipse/Plugins/com.sap.ide.jvm.check_1.0.0.150904080559.jar to include Oracle as supported vendor.

    Note:Version number may differ for your installation


    <supportedRuntimes shutdownIfNotMatches="false" warnIfNotMatches="true">

    <vendor name="SAP AG">

    <versionRange jdkRequired="true" minInclusive="1.6.0_07"/>

    </vendor>

    <vendor name="Sun Microsystems Inc.">

    <versionRange jdkRequired="true" minInclusive="1.6.0_07"/>

    </vendor>

    </supportedRuntimes>


    Detailed Steps:


    1) Locate file with JVM checking module:

    "<SAP NWDS>\plugins\com.sap.ide.jvm.check_1.0.0.140103091951.jar"

    As mentioned before, version number can be different in your release.

    2) Create backup copy of current file. Call it for example "com.sap.ide.jvm.check_1.0.0.140103091951.jar.BAK".

    3) Copy original file to temporary location. I used "C:\Temp\com.sap.ide.jvm.check_1.0.0.140103091951.jar"

    4) Extract files from JAR. JAR files are basically ZIP files. I used 7-zip program to extract source to folder based on file name:
    "C:\Temp\com.sap.ide.jvm.check_1.0.0.140103091951\".

    5) Locate and edit configuration file"C:\Temp\com.sap.ide.jvm.check_1.0.0.140103091951\config.xml". Add vendor node "Oracle Corporation" (part in green color). Just copy existing node and replace vendor name.

    <supportedRuntimes shutdownIfNotMatches="false" warnIfNotMatches="true">

    <vendor name="SAP AG">

    <versionRange jdkRequired="true" minInclusive="1.6.0_07"/>

    </vendor>

    <vendor name="Sun Microsystems Inc.">

    <versionRange jdkRequired="true" minInclusive="1.6.0_07"/>

    </vendor>

    <vendor name="Oracle Corporation">

    <versionRange jdkRequired="true" minInclusive="1.6.0_07"/>

    </vendor>

    </supportedRuntimes>

    6) Pack directory. Pack whole content of directory from step 5) back to ZIP format. Change extension to .JAR in your favorite compression program, or rename new file from ".zip" to ".jar" after compression is done. Now we have our new corrected file for checking JVM version in NWDS - "C:\Temp\com.sap.ide.jvm.check_1.0.0.140103091951\com.sap.ide.jvm.check_1.0.0.140103091951.jar".

    7) Replace original file. Copy file over original one:

    "C:\Temp\com.sap.ide.jvm.check_1.0.0.140103091951\com.sap.ide.jvm.check_1.0.0.140103091951.jar"-->
    "<SAP NWDS>\plugins\com.sap.ide.jvm.check_1.0.0.140103091951.jar".
    Overwrite if asked.

    8) Done.

    Note: Please reward points if helps to resolve your issue.

    Add a comment
    10|10000 characters needed characters exceeded

  • Posted on Sep 30, 2015 at 11:52 AM

    Hi,

    SAP NetWeaver Developer Studio requires minimum version of JDK 1.6.0_7.Please check below link

    http://help.sap.com/saphelp_nw73/helpdata/en/1e/87b74736a6427d9e8d41818b17b0af/content.htm

    You can take a reference of below guide too

    http://www.sdn.sap.com/irj/scn/go/portal/prtroot/docs/library/uuid/80a100d2-109f-2e10-e996-c2b80803740b?overridelayout=true

    Thanks,

    Mofizur

    Add a comment
    10|10000 characters needed characters exceeded

Before answering

You should only submit an answer when you are proposing a solution to the poster's problem. If you want the poster to clarify the question or provide more information, please leave a comment instead, requesting additional details. When answering, please include specifics, such as step-by-step instructions, context for the solution, and links to useful resources. Also, please make sure that you answer complies with our Rules of Engagement.
You must be Logged in to submit an answer.

Up to 10 attachments (including images) can be used with a maximum of 1.0 MB each and 10.5 MB total.